<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace HPSERVERHARDWAREModule\Lib;


use itnovum\openITCOCKPIT\Core\Wizards\ModuleWizardsInterface;

class Wizards implements ModuleWizardsInterface {

    /**
     * @var array
     */
    private $ACL_PERMISSIONS = [];

    /**
     * Widgets constructor.
     * @param $ACL_PERMISSIONS
     */
    public function __construct($ACL_PERMISSIONS) {
        $this->ACL_PERMISSIONS = $ACL_PERMISSIONS;
    }

    /**
     * @return array
     */
    public function getAvailableWizards() {
        if (!(isset($this->ACL_PERMISSIONS['hosts']['add']) && isset($this->ACL_PERMISSIONS['services']['add']))) {
            return [];
        }
        $wizards = [
            'hp-server-hardware' => [
                'type_id'                 => 'hp-server-hardware',
                'uuid'                    => '9493a0d1-78d3-443b-b311-eea1b690d7dc',
                'title'                   => __('HP Server Hardware'),
                'description'             => __('These checks will allow you to monitor your HP server'),
                'image'                   => 'hp.svg',
                'directive'               => 'hpserverhardware', //AngularJS directive
                'state'                   => 'WizardsHpServerHardware',
                'category'                => ['hardware'],
                'necessity_of_assignment' => true
            ]
        ];

        return $wizards;
    }

}
